Bug 668796 - new sm-gui is too big in firstboot beta builds
Summary: new sm-gui is too big in firstboot beta builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
urgent
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-11 16:39 UTC by John Sefler
Modified: 2013-01-10 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
subscription-manager-gui is too wide in firstboot (161.95 KB, image/png)
2011-01-11 16:39 UTC, John Sefler
no flags Details
from paul (81.75 KB, application/pdf)
2011-01-11 18:49 UTC, Bryan Kearney
no flags Details
Still too wide and too tall. Can't reach Forward or Back buttons. I'M STUCK! (159.34 KB, image/png)
2011-01-14 20:02 UTC, John Sefler
no flags Details
Results of hte compose from 18 January. (143.23 KB, image/png)
2011-01-19 14:44 UTC, Bryan Kearney
no flags Details
sm-gui is firstboot is sized well (138.77 KB, image/png)
2011-01-24 17:26 UTC, John Sefler
no flags Details
sm-gui is firstboot is sized well (147.26 KB, image/png)
2011-01-24 17:27 UTC, John Sefler
no flags Details
sm-gui is firstboot is sized well (158.78 KB, image/png)
2011-01-24 17:27 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2011-01-11 16:39:42 UTC
Created attachment 472845 [details]
subscription-manager-gui is too wide in firstboot

Description of problem:
See the attached screenshoot


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Bryan Kearney 2011-01-11 18:49:10 UTC
Created attachment 472868 [details]
from paul

Comment 4 Bryan Kearney 2011-01-11 18:49:43 UTC
please fix in line with attachment.

Comment 5 Bryan Kearney 2011-01-14 13:20:00 UTC
in the code base. However, look for another fix from 668581.

Comment 8 John Sefler 2011-01-14 20:02:31 UTC
Created attachment 473578 [details]
Still too wide and too tall.  Can't reach Forward or Back buttons.  I'M STUCK!

Comment 9 John Sefler 2011-01-14 20:20:13 UTC
http://download.lab.bos.redhat.com/devel/candidates/RHEL6.1-20110114.0/

[root@jsefler-betaqa-1 ~]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.93.12-1.el6.x86_64
subscription-manager-0.93.12-1.el6.x86_64
subscription-manager-gnome-0.93.12-1.el6.x86_64

moving back to ON_DEV

Comment 10 Bryan Kearney 2011-01-19 14:44:02 UTC
Created attachment 474283 [details]
Results of hte compose from 18 January.

Comment 11 Bryan Kearney 2011-01-19 14:44:42 UTC
So close! Can we ditch the massive title bar? Perhaps that would bring up the buttons at the bottom.

Comment 12 James Bowes 2011-01-20 13:42:42 UTC
The title bar is added by firstboot itself, i don't think we can remove it :(

Comment 13 Justin Harris 2011-01-21 20:03:50 UTC
I changed with height params of a lot of those widgets, so it should be able to shrink down in firstboot now.

Comment 15 John Sefler 2011-01-24 17:24:45 UTC
VERIFYING....
[root@jsefler-onprem01 rhn]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.93.14-1.git.5.2f147f3.el6.x86_64
subscription-manager-0.93.14-1.git.5.2f147f3.el6.x86_64
subscription-manager-firstboot-0.93.14-1.git.5.2f147f3.el6.x86_64

Yes - all has been squeezed on the firstboot panels.
See attached screenshots.

Moving to VERIFIED.

Comment 16 John Sefler 2011-01-24 17:26:43 UTC
Created attachment 474998 [details]
sm-gui is firstboot is sized well

Comment 17 John Sefler 2011-01-24 17:27:17 UTC
Created attachment 474999 [details]
sm-gui is firstboot is sized well

Comment 18 John Sefler 2011-01-24 17:27:39 UTC
Created attachment 475000 [details]
sm-gui is firstboot is sized well

Comment 19 errata-xmlrpc 2011-05-19 13:38:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.